Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
TxaFileFilter Class Reference

This is an abstract base class, a placeholder for any number of different classes that may wish to implement an effect on every texture loaded from disk via the TexturePool. More...

`#include "txaFileFilter.h"`

Inheritance diagram for TxaFileFilter:

## Public Member Functions
virtual TypeHandle | force_init_type ()
virtual TypeHandle | get_type () const
virtual | PT (Texture) post_load(Texture *tex)
Public Member Functions inherited from TexturePoolFilter
virtual void | output (std::ostream &out) const
virtual | PT (Texture) pre_load(const Filename &orig_filename
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TexturePoolFilter
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.

## Additional Inherited Members
Public Attributes inherited from TexturePoolFilter
virtual const Filename int int | alpha_file_channel
virtual const Filename int int bool const LoaderOptions & | options
virtual const Filename & | orig_alpha_filename
virtual const Filename int | primary_file_num_channels
virtual const Filename int int bool | read_mipmaps
Public Attributes inherited from TypedObject
| get_type

## Detailed Description

This is an abstract base class, a placeholder for any number of different classes that may wish to implement an effect on every texture loaded from disk via the TexturePool.

In practice, as of the time of this writing, only the TxaFileFilter (in pandatool) actually implements this. But other kinds of filters are possible.

This filter, once registered, will get a callback and a chance to modify each texture as it is loaded from disk the first time. If more than one filter is registered, each will be called in sequence, in the order in which they were registered.

The filter does not get called again if the texture is subsequently reloaded from disk. It is suggested that filters for which this might be a problem should call tex->set_keep_ram_image(true).

Definition at line 41 of file txaFileFilter.h.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle TxaFileFilter::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from TexturePoolFilter.

Definition at line 64 of file txaFileFilter.h.

## ◆ get_class_type()

static TypeHandle TxaFileFilter::get_class_type | ( |  | ) |
| inline static

Definition at line 53 of file txaFileFilter.h.

## ◆ get_type()

virtual TypeHandle TxaFileFilter::get_type | ( |  | ) | const
| inline virtual

Reimplemented from TexturePoolFilter.

Definition at line 61 of file txaFileFilter.h.

## ◆ init_type()

static void TxaFileFilter::init_type | ( |  | ) |
| inline static

Definition at line 56 of file txaFileFilter.h.

## ◆ PT()

virtual TxaFileFilter::PT | ( | Texture |  | ) |
| virtual

Reimplemented from TexturePoolFilter.

The documentation for this class was generated from the following files:

- pandatool/src/egg-palettize/txaFileFilter.h
- pandatool/src/egg-palettize/txaFileFilter.cxx